shishi_ap_set_tktoptions(3)

NAME
shishi_ap_set_tktoptions - API function

SYNOPSIS
#include <shishi.h>

int shishi_ap_set_tktoptions(Shishi_ap * ap, Shishi_tkt * tkt, int options);

ARGUMENTS

Shishi_ap * ap
    structure that holds information about AP exchange

Shishi_tkt * tkt
    ticket to set in AP.

int options
    AP-REQ options to set in AP.

DESCRIPTION
Set the ticket (see shishi_ap_tkt_set()) and set the AP-REQ apoptions (see shishi_apreq_options_set()).

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.